Skip to main content
GET
/
api
/
v1
/
cards-program
/
applications
/
business
/
:companyId
curl --location --request GET 'https://stablecoin-api.sandbox.getmeru.com/api/v1/cards-program/applications/business/8f3e1a2b-4c5d-6e7f-8a9b-0c1d2e3f4a5b' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>'
{
  "success": true,
  "companyId": "8f3e1a2b-4c5d-6e7f-8a9b-0c1d2e3f4a5b",
  "status": "approved",
  "name": "Acme Corporation",
  "entity": {
    "name": "Acme Corporation LLC",
    "type": "LLC",
    "industry": "Technology"
  },
  "createdAt": "2024-01-15T10:00:00Z",
  "updatedAt": "2024-01-16T14:30:00Z"
}

Params

companyId
string
required
The company ID returned when creating the business application

Response

success
boolean
Indicates whether the call was successful
companyId
string
The unique company identifier
status
string
Application status: pending, approved, rejected, or requires_documents
name
string
Business name
entity
object
Business entity details
createdAt
string
ISO 8601 timestamp when the application was created
updatedAt
string
ISO 8601 timestamp when the application was last updated
curl --location --request GET 'https://stablecoin-api.sandbox.getmeru.com/api/v1/cards-program/applications/business/8f3e1a2b-4c5d-6e7f-8a9b-0c1d2e3f4a5b' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>'
{
  "success": true,
  "companyId": "8f3e1a2b-4c5d-6e7f-8a9b-0c1d2e3f4a5b",
  "status": "approved",
  "name": "Acme Corporation",
  "entity": {
    "name": "Acme Corporation LLC",
    "type": "LLC",
    "industry": "Technology"
  },
  "createdAt": "2024-01-15T10:00:00Z",
  "updatedAt": "2024-01-16T14:30:00Z"
}

Error Responses

{
  "success": false,
  "error": "Unauthorized. Please check your authentication credentials."
}